package com.dynamlist;

import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "com.dynamlist", "com.dynamlist.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "com.dynamlist", "com.dynamlist.main");
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
		return true;
	}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true)
				return true;
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
		this.setIntent(intent);
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public anywheresoftware.b4a.objects.LabelWrapper _albl1 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button1 = null;
public anywheresoftware.b4a.objects.LabelWrapper _list2 = null;
public static String[] _dida = null;
public static String[][] _labels = null;
public anywheresoftware.b4a.objects.LabelWrapper _ctx = null;
public anywheresoftware.b4a.objects.LabelWrapper _lvno = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _img1 = null;
public static String _nlist = "";
public static int _tx = 0;
public static boolean _lvy = false;
public static String _lista = "";
public static int _ka = 0;
public static String  _activity_create(boolean _firsttime) throws Exception{
 //BA.debugLineNum = 42;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 45;BA.debugLine="Activity.LoadLayout(\"RMnew1\")";
mostCurrent._activity.LoadLayout("RMnew1",mostCurrent.activityBA);
 //BA.debugLineNum = 47;BA.debugLine="Dida(0) = \"Cards,Documents,Phones,Bank,Web Site,ProgKeys,Insurance,Medical,Cars-Bikes,Archive1,\"";
mostCurrent._dida[(int)(0)] = "Cards,Documents,Phones,Bank,Web Site,ProgKeys,Insurance,Medical,Cars-Bikes,Archive1,";
 //BA.debugLineNum = 48;BA.debugLine="Dida(1) = \"Card,Bank,Number,Name,Validity,Phone,Pin,Note,Note1,Image,\" '\"Cards\"";
mostCurrent._dida[(int)(1)] = "Card,Bank,Number,Name,Validity,Phone,Pin,Note,Note1,Image,";
 //BA.debugLineNum = 49;BA.debugLine="Dida(2) = \"Doc.Name,Number,Holder,Issued on,Issued By,Validity,Renewal,Note,-,-,\" '\"Documenti\"";
mostCurrent._dida[(int)(2)] = "Doc.Name,Number,Holder,Issued on,Issued By,Validity,Renewal,Note,-,-,";
 //BA.debugLineNum = 50;BA.debugLine="Dida(3) = \"Number,Ph. or Cell,Provider,PIN,PUK,SIM,Validity,User,Ph.Model,Support,\" '\"Telefoni\"";
mostCurrent._dida[(int)(3)] = "Number,Ph. or Cell,Provider,PIN,PUK,SIM,Validity,User,Ph.Model,Support,";
 //BA.debugLineNum = 51;BA.debugLine="Dida(4) = \"No.Count,Count Type,Currency,Bank,Agency,Holder,Issued on,Credit rate,Debit rate,Contact,\" '\"Banca\"";
mostCurrent._dida[(int)(4)] = "No.Count,Count Type,Currency,Bank,Agency,Holder,Issued on,Credit rate,Debit rate,Contact,";
 //BA.debugLineNum = 52;BA.debugLine="Dida(5) = \"Site Name,Topic,Url,ID o Mail,PassKey,Support,Note,-,-,-,\" '\"Passwords\"";
mostCurrent._dida[(int)(5)] = "Site Name,Topic,Url,ID o Mail,PassKey,Support,Note,-,-,-,";
 //BA.debugLineNum = 53;BA.debugLine="Dida(6) = \"Program,Version,Developer,Support,Url,Mail,Serial,PassKey,Purchased on,Upgraded,\" '\"ProgKeys\"";
mostCurrent._dida[(int)(6)] = "Program,Version,Developer,Support,Url,Mail,Serial,PassKey,Purchased on,Upgraded,";
 //BA.debugLineNum = 54;BA.debugLine="Dida(7) = \"Policy No.,Insurance Co,Risk Cover,Issued on,Validity,Premium,Holder,Beneficiary,Contact,-,\"'\"Polizze\"";
mostCurrent._dida[(int)(7)] = "Policy No.,Insurance Co,Risk Cover,Issued on,Validity,Premium,Holder,Beneficiary,Contact,-,";
 //BA.debugLineNum = 55;BA.debugLine="Dida(8) = \"Medicine,Dosage,To cure,Validity,Doctor,Medical Test,Last Date,-,-,-,\" '\"Medicina\"";
mostCurrent._dida[(int)(8)] = "Medicine,Dosage,To cure,Validity,Doctor,Medical Test,Last Date,-,-,-,";
 //BA.debugLineNum = 56;BA.debugLine="Dida(9) = \"Manufacturer,Model,Plate,Car Tax,Validity,Assistance,Check,Tyres,Dimensions,-,\" '\"Auto\"";
mostCurrent._dida[(int)(9)] = "Manufacturer,Model,Plate,Car Tax,Validity,Assistance,Check,Tyres,Dimensions,-,";
 //BA.debugLineNum = 57;BA.debugLine="Dida(10) = \"Field1,Field2,Field3,Field4,Field5,Field6,Field7,Field8,Field9,Field10,\" '\"Archivio1\"";
mostCurrent._dida[(int)(10)] = "Field1,Field2,Field3,Field4,Field5,Field6,Field7,Field8,Field9,Field10,";
 //BA.debugLineNum = 59;BA.debugLine="Lvy = False";
_lvy = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 60;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 66;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 68;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 62;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 64;BA.debugLine="End Sub";
return "";
}
public static String  _albl1_click() throws Exception{
 //BA.debugLineNum = 140;BA.debugLine="Sub Albl1_Click";
 //BA.debugLineNum = 141;BA.debugLine="ArrowGes";
_arrowges();
 //BA.debugLineNum = 142;BA.debugLine="End Sub";
return "";
}
public static String  _arrowges() throws Exception{
 //BA.debugLineNum = 144;BA.debugLine="Sub ArrowGes";
 //BA.debugLineNum = 145;BA.debugLine="If Albl1.Text = \"ARCHIVES\" Then";
if ((mostCurrent._albl1.getText()).equals("ARCHIVES")) { 
 //BA.debugLineNum = 146;BA.debugLine="If Lvy = False Then";
if (_lvy==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 147;BA.debugLine="KA = 0";
_ka = (int)(0);
 //BA.debugLineNum = 148;BA.debugLine="Crealist";
_crealist();
 }else {
 //BA.debugLineNum = 150;BA.debugLine="ClearList";
_clearlist();
 };
 }else {
 //BA.debugLineNum = 153;BA.debugLine="If Lvy = True Then";
if (_lvy==anywheresoftware.b4a.keywords.Common.True) { 
 //BA.debugLineNum = 154;BA.debugLine="ClearList";
_clearlist();
 //BA.debugLineNum = 155;BA.debugLine="List2.Visible = False";
mostCurrent._list2.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 156;BA.debugLine="Albl1.Text = \"ARCHIVES\"";
mostCurrent._albl1.setText((Object)("ARCHIVES"));
 };
 };
 //BA.debugLineNum = 159;BA.debugLine="End Sub";
return "";
}
public static String  _button1_click() throws Exception{
 //BA.debugLineNum = 70;BA.debugLine="Sub Button1_Click";
 //BA.debugLineNum = 71;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 72;BA.debugLine="End Sub";
return "";
}
public static String  _clearlist() throws Exception{
String _q = "";
int _x = 0;
int _y = 0;
anywheresoftware.b4a.objects.LabelWrapper _l = null;
 //BA.debugLineNum = 123;BA.debugLine="Sub ClearList";
 //BA.debugLineNum = 124;BA.debugLine="Dim q";
_q = "";
 //BA.debugLineNum = 125;BA.debugLine="For x = 0 To 9";
{
final double step87 = 1;
final double limit87 = (int)(9);
for (_x = (int)(0); (step87 > 0 && _x <= limit87) || (step87 < 0 && _x >= limit87); _x += step87) {
 //BA.debugLineNum = 126;BA.debugLine="For y = 0 To 9";
{
final double step88 = 1;
final double limit88 = (int)(9);
for (_y = (int)(0); (step88 > 0 && _y <= limit88) || (step88 < 0 && _y >= limit88); _y += step88) {
 //BA.debugLineNum = 127;BA.debugLine="Dim L As Label";
_l = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 128;BA.debugLine="L.Initialize(\"Label\")";
_l.Initialize(mostCurrent.activityBA,"Label");
 //BA.debugLineNum = 129;BA.debugLine="q = Activity.NumberOfViews : Lvno.Text= q";
_q = BA.NumberToString(mostCurrent._activity.getNumberOfViews());
 //BA.debugLineNum = 129;BA.debugLine="q = Activity.NumberOfViews : Lvno.Text= q";
mostCurrent._lvno.setText((Object)(_q));
 //BA.debugLineNum = 130;BA.debugLine="Activity.RemoveViewAt(6)";
mostCurrent._activity.RemoveViewAt((int)(6));
 }
};
 }
};
 //BA.debugLineNum = 133;BA.debugLine="Lvy = False";
_lvy = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 134;BA.debugLine="End Sub";
return "";
}
public static String  _crealist() throws Exception{
int _x = 0;
int _y = 0;
anywheresoftware.b4a.objects.LabelWrapper _l = null;
 //BA.debugLineNum = 74;BA.debugLine="Sub Crealist";
 //BA.debugLineNum = 75;BA.debugLine="For x = 0 To 9";
{
final double step40 = 1;
final double limit40 = (int)(9);
for (_x = (int)(0); (step40 > 0 && _x <= limit40) || (step40 < 0 && _x >= limit40); _x += step40) {
 //BA.debugLineNum = 76;BA.debugLine="Lista = Dida(KA)";
mostCurrent._lista = mostCurrent._dida[_ka];
 //BA.debugLineNum = 77;BA.debugLine="For y = 0 To 9";
{
final double step42 = 1;
final double limit42 = (int)(9);
for (_y = (int)(0); (step42 > 0 && _y <= limit42) || (step42 < 0 && _y >= limit42); _y += step42) {
 //BA.debugLineNum = 78;BA.debugLine="Dim L As Label";
_l = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 79;BA.debugLine="L.Initialize(\"Label\")";
_l.Initialize(mostCurrent.activityBA,"Label");
 //BA.debugLineNum = 80;BA.debugLine="L.Color = Colors.White";
_l.setColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 //BA.debugLineNum = 81;BA.debugLine="L.TextSize = 14";
_l.setTextSize((float)(14));
 //BA.debugLineNum = 82;BA.debugLine="If KA = 0 Then";
if (_ka==0) { 
 //BA.debugLineNum = 83;BA.debugLine="L.TextColor = Colors.Red";
_l.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Red);
 }else {
 //BA.debugLineNum = 85;BA.debugLine="L.TextColor = Colors.Blue";
_l.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Blue);
 };
 //BA.debugLineNum = 87;BA.debugLine="Activity.AddView(L,0dip,List2.Top + y * (CTx.Height + 1dip),Albl1.Width,CTx.Height)   '(L,81,28 + y * (21 + 1dip),110,21)";
mostCurrent._activity.AddView((android.view.View)(_l.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),(int)(mostCurrent._list2.getTop()+_y*(mostCurrent._ctx.getHeight()+anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(1)))),mostCurrent._albl1.getWidth(),mostCurrent._ctx.getHeight());
 //BA.debugLineNum = 89;BA.debugLine="L.Gravity = Gravity.CENTER_VERTICAL";
_l.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL);
 //BA.debugLineNum = 90;BA.debugLine="Tx = (Lista).IndexOf(\",\")";
_tx = (mostCurrent._lista).indexOf(",");
 //BA.debugLineNum = 91;BA.debugLine="CTx.Text = Lista.SubString2(0, Tx)";
mostCurrent._ctx.setText((Object)(mostCurrent._lista.substring((int)(0),_tx)));
 //BA.debugLineNum = 92;BA.debugLine="Nlist = Lista.SubString2(Tx+1, Lista.Length)";
mostCurrent._nlist = mostCurrent._lista.substring((int)(_tx+1),mostCurrent._lista.length());
 //BA.debugLineNum = 93;BA.debugLine="Lista = Nlist";
mostCurrent._lista = mostCurrent._nlist;
 //BA.debugLineNum = 94;BA.debugLine="Labels(x, y) = L";
mostCurrent._labels[_x][_y] = String.valueOf(_l);
 //BA.debugLineNum = 95;BA.debugLine="L.Text = CTx.Text";
_l.setText((Object)(mostCurrent._ctx.getText()));
 }
};
 }
};
 //BA.debugLineNum = 98;BA.debugLine="Lvy = True";
_lvy = anywheresoftware.b4a.keywords.Common.True;
 //BA.debugLineNum = 99;BA.debugLine="Lvno.Text = Lvno.Text & Activity.NumberOfViews";
mostCurrent._lvno.setText((Object)(mostCurrent._lvno.getText()+BA.NumberToString(mostCurrent._activity.getNumberOfViews())));
 //BA.debugLineNum = 100;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    
    if (processGlobalsRun == false) {
	    processGlobalsRun = true;
		try {
		        main._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 21;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 25;BA.debugLine="Dim Albl1 As Label";
mostCurrent._albl1 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 26;BA.debugLine="Dim Button1 As Button";
mostCurrent._button1 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 27;BA.debugLine="Dim List2 As Label";
mostCurrent._list2 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 28;BA.debugLine="Dim Dida(11)";
mostCurrent._dida = new String[(int)(11)];
java.util.Arrays.fill(mostCurrent._dida,"");
 //BA.debugLineNum = 29;BA.debugLine="Dim Labels(11,11)";
mostCurrent._labels = new String[(int)(11)][];
{
int d0 = mostCurrent._labels.length;
int d1 = (int)(11);
for (int i0 = 0;i0 < d0;i0++) {
mostCurrent._labels[i0] = new String[d1];
java.util.Arrays.fill(mostCurrent._labels[i0],"");
}
}
;
 //BA.debugLineNum = 30;BA.debugLine="Dim CTx As Label";
mostCurrent._ctx = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 31;BA.debugLine="Dim Lvno As Label";
mostCurrent._lvno = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 32;BA.debugLine="Dim Img1 As ImageView";
mostCurrent._img1 = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 34;BA.debugLine="Dim Nlist As String";
mostCurrent._nlist = "";
 //BA.debugLineNum = 35;BA.debugLine="Dim Tx As Int";
_tx = 0;
 //BA.debugLineNum = 36;BA.debugLine="Dim Lvy As Boolean";
_lvy = false;
 //BA.debugLineNum = 37;BA.debugLine="Dim Lista As String";
mostCurrent._lista = "";
 //BA.debugLineNum = 38;BA.debugLine="Dim KA As Int";
_ka = 0;
 //BA.debugLineNum = 40;BA.debugLine="End Sub";
return "";
}
public static String  _img1_click() throws Exception{
 //BA.debugLineNum = 136;BA.debugLine="Sub Img1_Click";
 //BA.debugLineNum = 137;BA.debugLine="ArrowGes";
_arrowges();
 //BA.debugLineNum = 138;BA.debugLine="End Sub";
return "";
}
public static String  _label_click() throws Exception{
anywheresoftware.b4a.objects.LabelWrapper _l = null;
 //BA.debugLineNum = 102;BA.debugLine="Sub Label_Click";
 //BA.debugLineNum = 104;BA.debugLine="Dim L As Label";
_l = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 105;BA.debugLine="L = Sender";
_l.setObject((android.widget.TextView)(anywheresoftware.b4a.keywords.Common.Sender(mostCurrent.activityBA)));
 //BA.debugLineNum = 106;BA.debugLine="If Albl1.Text = \"ARCHIVES\" Then";
if ((mostCurrent._albl1.getText()).equals("ARCHIVES")) { 
 //BA.debugLineNum = 107;BA.debugLine="Albl1.Text = L.Text";
mostCurrent._albl1.setText((Object)(_l.getText()));
 //BA.debugLineNum = 108;BA.debugLine="If Albl1.Text = \"Cards\" Then KA = 1";
if ((mostCurrent._albl1.getText()).equals("Cards")) { 
_ka = (int)(1);};
 //BA.debugLineNum = 109;BA.debugLine="If Albl1.Text = \"Documents\" Then KA = 2";
if ((mostCurrent._albl1.getText()).equals("Documents")) { 
_ka = (int)(2);};
 //BA.debugLineNum = 110;BA.debugLine="If Albl1.Text = \"Phones\" Then KA = 3";
if ((mostCurrent._albl1.getText()).equals("Phones")) { 
_ka = (int)(3);};
 //BA.debugLineNum = 111;BA.debugLine="If Albl1.Text = \"Bank\" Then KA = 4";
if ((mostCurrent._albl1.getText()).equals("Bank")) { 
_ka = (int)(4);};
 //BA.debugLineNum = 112;BA.debugLine="If Albl1.Text = \"Web Site\" Then KA = 5";
if ((mostCurrent._albl1.getText()).equals("Web Site")) { 
_ka = (int)(5);};
 //BA.debugLineNum = 113;BA.debugLine="If Albl1.Text = \"ProgKeys\" Then KA = 6";
if ((mostCurrent._albl1.getText()).equals("ProgKeys")) { 
_ka = (int)(6);};
 //BA.debugLineNum = 114;BA.debugLine="If Albl1.Text = \"Insurance\" Then KA = 7";
if ((mostCurrent._albl1.getText()).equals("Insurance")) { 
_ka = (int)(7);};
 //BA.debugLineNum = 115;BA.debugLine="If Albl1.Text = \"Medical\" Then KA = 8";
if ((mostCurrent._albl1.getText()).equals("Medical")) { 
_ka = (int)(8);};
 //BA.debugLineNum = 116;BA.debugLine="If Albl1.Text = \"Cars-Bikes\" Then KA = 9";
if ((mostCurrent._albl1.getText()).equals("Cars-Bikes")) { 
_ka = (int)(9);};
 //BA.debugLineNum = 117;BA.debugLine="If Albl1.Text = \"Archive1\" Then KA = 10";
if ((mostCurrent._albl1.getText()).equals("Archive1")) { 
_ka = (int)(10);};
 //BA.debugLineNum = 118;BA.debugLine="ClearList";
_clearlist();
 //BA.debugLineNum = 119;BA.debugLine="List2.Visible = True";
mostCurrent._list2.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 120;BA.debugLine="Crealist";
_crealist();
 };
 //BA.debugLineNum = 122;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 15;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 19;BA.debugLine="End Sub";
return "";
}
}
